TPMLIB_WasManufactured(3)

NAME
TPMLIB_WasManufactured - Check whether a new instance was created

LIBRARY
TPM library (libtpms, -ltpms)

SYNOPSIS
#include <libtpms/tpm_types.h>

#include <libtpms/tpm_library.h>

#include <libtpms/tpm_error.h>

TPM_BOOL TPMLIB_WasManufactured(void);

DESCRIPTION
TPMLIB_WasManufactured() is used to check whether a new TPM instance was created using TPMLIB_MainInit() rather than an already existing one was restarted. This function will only return a valid result if it is called after TPMLIB_MainInit().

This function only applies to a TPM 2 and for a TPM 1.2 it will always return FALSE.

SEE ALSO
TPMLIB_ChooseTPMVersion, TPMLIB_MainInit(3)